REM
REM Licensed Materials - Property of IBM
REM Rational ClearQuest
REM (C) Copyright IBM Corp. 2006, 2014. All Rights Reserved.
REM
REM US Government Users Restricted Rights -
REM Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
REM
REM=========================================================================================
REM cq_prompt_for_case.sql is a helper and must be kept together with setup_cq_clob_index.sql
REM=========================================================================================
prompt
prompt Please enter how you wish the index to be created:
prompt 1   Case Insensitively (mixed case queries returned).
prompt 2   Case Sensitively
ACCEPT case_of_index NUMBER FORMAT 9 PROMPT 'Enter 1 or 2: '

BEGIN
IF &case_of_index > 2 or &case_of_index < 1
THEN
	RAISE_APPLICATION_ERROR(-20400, 'Input Invalid for case of index: &case_of_index');
ELSIF &case_of_index = 1
THEN
    -- case insensitive
:mixed_case := 'NO';
ELSE
    -- case sensitive
:mixed_case := 'YES';
END IF;
END;
/
